Bug 1941731 - KeePassXC do not start on centos 8
Summary: KeePassXC do not start on centos 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: keepassxc
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-22 16:38 UTC by device-x
Modified: 2021-05-17 01:40 UTC (History)
2 users (show)

Fixed In Version: keepassxc-2.6.4-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-17 01:40:32 UTC
Type: Bug


Attachments (Terms of Use)

Description device-x 2021-03-22 16:38:42 UTC
Description of problem:

KeePassXC do not start on centos 8 with errors

QSocketNotifier: Can only be used with threads started with QThread
QObject::connect: No such signal QPlatformNativeInterface::systemTrayWindowChanged(QScreen*)



It was happens after update from 2.6.3-2 to 2.6.4-1
Upgrade  keepassxc-2.6.4-1.el8.x86_64   @epel
Upgraded keepassxc-2.6.3-2.el8.x86_64   @@System


Operating System: CentOS Linux release 8.3.2011
Desktop Env: Gnome
Windowing System: Wayland

I tried rollback only keepassxc-2.6.3-2.el8.x86_64 package on system - it starts fine

Comment 1 Germano Massullo 2021-03-22 16:50:50 UTC
it works for me. Please make sure to not have strange libraries from third party repositories

Comment 2 device-x 2021-03-22 17:24:35 UTC
(In reply to Germano Massullo from comment #1)
> it works for me. Please make sure to not have strange libraries from third
> party repositories

I didn't find anything strange

Comment 3 Germano Massullo 2021-03-22 17:50:49 UTC
# dnf list installed | grep qt

Comment 4 device-x 2021-03-22 20:01:18 UTC
adwaita-qt.x86_64                                  1.0-5.el8                                     @AppStream                                   
qt5-qtbase.x86_64                                  5.12.5-6.el8                                  @appstream                                   
qt5-qtbase-common.noarch                           5.12.5-6.el8                                  @appstream                                   
qt5-qtbase-gui.x86_64                              5.12.5-6.el8                                  @appstream                                   
qt5-qtdeclarative.x86_64                           5.12.5-1.el8                                  @appstream                                   
qt5-qtsvg.x86_64                                   5.12.5-1.el8                                  @appstream                                   
qt5-qtwayland.x86_64                               5.12.5-1.el8                                  @appstream                                   
qt5-qtx11extras.x86_64                             5.12.5-1.el8                                  @appstream                                   
qt5-qtxmlpatterns.x86_64                           5.12.5-1.el8                                  @appstream                                   
qt5-srpm-macros.noarch                             5.12.5-3.el8                                  @appstream

Comment 5 Germano Massullo 2021-03-22 20:27:40 UTC
# dnf repolist all

Comment 6 device-x 2021-03-22 20:40:00 UTC
repo id                                                                                                                   repo name                                                                                                                                               status
appstream                                                                                                                 CentOS Linux 8 - AppStream                                                                                                                              enabled
appstream-source                                                                                                          CentOS Linux 8 - AppStream - Source                                                                                                                     disabled
baseos                                                                                                                    CentOS Linux 8 - BaseOS                                                                                                                                 enabled
baseos-source                                                                                                             CentOS Linux 8 - BaseOS - Source                                                                                                                        disabled
copr:copr.fedorainfracloud.org:abn:throttled                                                                              Copr repo for throttled owned by abn                                                                                                                    enabled
cr                                                                                                                        CentOS Linux 8 - ContinuousRelease                                                                                                                      disabled
debuginfo                                                                                                                 CentOS Linux 8 - Debuginfo                                                                                                                              disabled
devel                                                                                                                     CentOS Linux 8 - Devel WARNING! FOR BUILDROOT USE ONLY!                                                                                                 disabled
docker-ce-edge                                                                                                            Docker CE Edge - x86_64                                                                                                                                 disabled
docker-ce-edge-debuginfo                                                                                                  Docker CE Edge - Debuginfo x86_64                                                                                                                       disabled
docker-ce-edge-source                                                                                                     Docker CE Edge - Sources                                                                                                                                disabled
docker-ce-nightly                                                                                                         Docker CE Nightly - x86_64                                                                                                                              disabled
docker-ce-nightly-debuginfo                                                                                               Docker CE Nightly - Debuginfo x86_64                                                                                                                    disabled
docker-ce-nightly-source                                                                                                  Docker CE Nightly - Sources                                                                                                                             disabled
docker-ce-stable                                                                                                          Docker CE Stable - x86_64                                                                                                                               enabled
docker-ce-stable-debuginfo                                                                                                Docker CE Stable - Debuginfo x86_64                                                                                                                     disabled
docker-ce-stable-source                                                                                                   Docker CE Stable - Sources                                                                                                                              disabled
docker-ce-test                                                                                                            Docker CE Test - x86_64                                                                                                                                 enabled
docker-ce-test-debuginfo                                                                                                  Docker CE Test - Debuginfo x86_64                                                                                                                       disabled
docker-ce-test-source                                                                                                     Docker CE Test - Sources                                                                                                                                disabled
elrepo                                                                                                                    ELRepo.org Community Enterprise Linux Repository - el8                                                                                                  enabled
elrepo-extras                                                                                                             ELRepo.org Community Enterprise Linux Extras Repository - el8                                                                                           disabled
elrepo-kernel                                                                                                             ELRepo.org Community Enterprise Linux Kernel Repository - el8                                                                                           disabled
elrepo-testing                                                                                                            ELRepo.org Community Enterprise Linux Testing Repository - el8                                                                                          disabled
epel                                                                                                                      Extra Packages for Enterprise Linux 8 - x86_64                                                                                                          enabled
epel-debuginfo                                                                                                            Extra Packages for Enterprise Linux 8 - x86_64 - Debug                                                                                                  disabled
epel-modular                                                                                                              Extra Packages for Enterprise Linux Modular 8 - x86_64                                                                                                  enabled
epel-modular-debuginfo                                                                                                    Extra Packages for Enterprise Linux Modular 8 - x86_64 - Debug                                                                                          disabled
epel-modular-source                                                                                                       Extra Packages for Enterprise Linux Modular 8 - x86_64 - Source                                                                                         disabled
epel-playground                                                                                                           Extra Packages for Enterprise Linux 8 - Playground - x86_64                                                                                             disabled
epel-playground-debuginfo                                                                                                 Extra Packages for Enterprise Linux 8 - Playground - x86_64 - Debug                                                                                     disabled
epel-playground-source                                                                                                    Extra Packages for Enterprise Linux 8 - Playground - x86_64 - Source                                                                                    disabled
epel-source                                                                                                               Extra Packages for Enterprise Linux 8 - x86_64 - Source                                                                                                 disabled
epel-steam                                                                                                                negativo17 - Steam                                                                                                                                      enabled
epel-steam-source                                                                                                         negativo17 - Steam - Source                                                                                                                             disabled
epel-testing                                                                                                              Extra Packages for Enterprise Linux 8 - Testing - x86_64                                                                                                disabled
epel-testing-debuginfo                                                                                                    Extra Packages for Enterprise Linux 8 - Testing - x86_64 - Debug                                                                                        disabled
epel-testing-modular                                                                                                      Extra Packages for Enterprise Linux Modular 8 - Testing - x86_64                                                                                        disabled
epel-testing-modular-debuginfo                                                                                            Extra Packages for Enterprise Linux Modular 8 - Testing - x86_64 - Debug                                                                                disabled
epel-testing-modular-source                                                                                               Extra Packages for Enterprise Linux Modular 8 - Testing - x86_64 - Source                                                                               disabled
epel-testing-source                                                                                                       Extra Packages for Enterprise Linux 8 - Testing - x86_64 - Source                                                                                       disabled
extras                                                                                                                    CentOS Linux 8 - Extras                                                                                                                                 enabled
extras-source                                                                                                             CentOS Linux 8 - Extras - Source                                                                                                                        disabled
fasttrack                                                                                                                 CentOS Linux 8 - FastTrack                                                                                                                              disabled
google-chrome                                                                                                             google-chrome                                                                                                                                           enabled
graylog                                                                                                                   graylog                                                                                                                                                 enabled
ha                                                                                                                        CentOS Linux 8 - HighAvailability                                                                                                                       disabled
media-appstream                                                                                                           CentOS Linux 8 - Media - AppStream                                                                                                                      disabled
media-baseos                                                                                                              CentOS Linux 8 - Media - BaseOS                                                                                                                         disabled
plus                                                                                                                      CentOS Linux 8 - Plus                                                                                                                                   disabled
plus-source                                                                                                               CentOS Linux 8 - Plus - Source                                                                                                                          disabled
powertools                                                                                                                CentOS Linux 8 - PowerTools                                                                                                                             disabled
rpmfusion-free-updates                                                                                                    RPM Fusion for EL 8 - Free - Updates                                                                                                                    enabled
rpmfusion-free-updates-debuginfo                                                                                          RPM Fusion for EL 8 - Free - Updates Debug                                                                                                              disabled
rpmfusion-free-updates-source                                                                                             RPM Fusion for EL 8 - Free - Updates Source                                                                                                             disabled
rpmfusion-free-updates-testing                                                                                            RPM Fusion for EL 8 - Free - Test Updates                                                                                                               disabled
rpmfusion-free-updates-testing-debuginfo                                                                                  RPM Fusion for EL 8 - Free - Test Updates Debug                                                                                                         disabled
rpmfusion-free-updates-testing-source                                                                                     RPM Fusion for EL 8 - Free - Test Updates Source                                                                                                        disabled
skype-stable                                                                                                              skype (stable)                                                                                                                                          enabled

Comment 7 Germano Massullo 2021-03-22 20:48:49 UTC
# dnf debuginfo-install keepassxc
$ gdb keepassxc
(gdb) run
(gdb) set height 0
and when the crash occurs, enter
(gdb) set print elements 0
(gdb) set print frame-arguments all
(gdb) thread apply all backtrace

Then post the crashreport at https://github.com/keepassxreboot/keepassxc/issues/

Comment 8 device-x 2021-03-22 21:39:41 UTC
Strange things happened ...
After a day of working on the old version 2.6.3 (I really needed it today), I installed 2.6.4 and tried to collect information

After "run" i fell out into the console... 

$gdb keepassxc 
run
.... skipped ... 
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments     
warning: Loadable section ".note.gnu.property" outside of ELF segments      
warning: Loadable section ".note.gnu.property" outside of ELF segments      
warning: Loadable section ".note.gnu.property" outside of ELF segments     
warning: Loadable section ".note.gnu.property" outside of ELF segments     
warning: Loadable section ".note.gnu.property" outside of ELF segments     
warning: Loadable section ".note.gnu.property" outside of ELF segments     
warning: Loadable section ".note.gnu.property" outside of ELF segments         
[New Thread 0x7fffd2cc7700 (LWP 5125)]                                
[New Thread 0x7fffd24c6700 (LWP 5126)]                                                                                                                                                                                                
[New Thread 0x7fffd1cc5700 (LWP 5127)]                                                                                                                                                                                                
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments                                                                                                                                                                
[New Thread 0x7fffd0e49700 (LWP 5128)]                                
warning: Loadable section ".note.gnu.property" outside of ELF segments
                                                                      
[1]+  Stopped                 gdb keepassxc                           
devx@ ~ () $ 


and i can't collect crash dump. 

Anyway, i tried run keepassxc again without gdb and i saw another output: 

without previous messages

QSocketNotifier: Can only be used with threads started with QThread
QObject::connect: No such signal QPlatformNativeInterface::systemTrayWindowChanged(QScreen*)

 $ keepassxc
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.

and process not stopped, but window not showed. 

I tried run keepassxc in another console second time

 $ keepassxc
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
Another instance of KeePassXC is already running.


And keepassxc show startup window... 


And i have no idea whats happened.

Comment 9 device-x 2021-03-23 08:59:36 UTC
(In reply to device-x from comment #8)
> 

This is problem in settings - "hide to system tray when minimized", before it did not give such an effect. 

Why keepassxc start normally without changes in system - mystic..

Comment 10 Germano Massullo 2021-04-30 13:51:20 UTC
This comment clarified why we are experiencing these problems. I will release a fix soon
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3BVLBS4B3XHJEXFVGD7RK2ZMXZG6JQZT/

Comment 11 Fedora Update System 2021-05-01 14:35:08 UTC
FEDORA-EPEL-2021-5008bacf01 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5008bacf01

Comment 12 Fedora Update System 2021-05-02 01:12:49 UTC
FEDORA-EPEL-2021-5008bacf01 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5008bacf01

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Germano Massullo 2021-05-10 08:58:01 UTC
Hello, can you please test https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5008bacf01
and provide a feedback? Thank you

Comment 14 device-x 2021-05-11 06:47:58 UTC
Hello. 

I have installed the latest system updates and a new release keepassxc-2.6.4-2.el8

KeePassXC - Version 2.6.4
Revision: 34a78f0

Qt 5.12.5
Debugging mode is disabled.

Operating system: CentOS Linux 8
CPU architecture: x86_64
Kernel: linux 4.18.0-240.22.1.el8_3.x86_64

Enabled extensions:
- Auto-Type
- Browser Integration
- SSH Agent
- KeeShare (only unsigned sharing)
- YubiKey
- Secret Service Integration

Cryptographic libraries:
- libgcrypt 1.8.5


Everything starts and works without problems.

Comment 15 Fedora Update System 2021-05-17 01:40:32 UTC
FEDORA-EPEL-2021-5008bacf01 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.